--------------------------------------------------------------------
CONTENTS:
  1. Welcome message.
  2. Please acknowledge the usage of Doris in your publications.
  3. List of files.
--------------------------------------------------------------------




Congratulations!
  
If you are reading this message you have managed to unzip and untar
the C++ source code for the Doris radar interferometric software.  This
directory is the one from where the core of Doris is compiled and installed.

The Doris InSAR software (Delft University of Technology) can be 
freely used for non-commercial applications.  It is released under the
GPL, see the file "COPYRIGHT".  For up-to-date information, see 
"http://doris.tudelft.nl".

To install Doris, please refer to the file "INSTALL" in the root directory!
The following is a summary which may be useful if the information in the 
INSTALL file is not enough.

To install Doris, first create a "Makefile" for compilation of the
source.  This can be done by running the interactive csh script 
"configure".  If you experience trouble running this script, try
changing the first line to tcsh (e.g., on Cygwin systems, there is tcsh
but no csh.)

Please follow the instructions on the screen after the Makefile 
has been created.  (The "Makefile" is used for convenient compilation
of the source code.  Basicaly execute the commands: "make", and, when
compiled successfully, "make install".)

Doris should compile on all (Unix like) platforms without difficulty.
It has been installed on, e.g., HP-UX, SUN solaris, Linux, Windows XP
running Cygwin.  The GNU g++ (gcc) compiler is best used (e.g., version
2.95.2).  Please consult the trouble shoot section of the manual in case
of trouble.  One can also send an email to the doris users email list
with problems on compilation.  (And later with questions on processing.)
See our website how to join this email list.

As said, a Makefile should be generated by typing "./configure".  If
this however somehow fails, I also provided some example Makefiles.
The Makefile I used on our system ("Makefile.sun") is for big endian,
not using any libraries.
The "Makefile.linux" is the result of the "configure" script
for a little endian PC w/o the FFTW, Lapack, and Veclib libraries.  These 
examples may be outdated, they only serve as examples to extend on.

Then, also compile the programs in SARtools and ENVISAT_TOOLS
sub directories.  Perform a "make install" in all three directories
to install the software.

The executable (named "doris") can be tested with the test dataset
that is provided on our web page (download area).  Data for both big 
and little endian machines are available.

Interferometric data processing with Doris is simplified by using the script 
"run" in the "bin" directory.
(This utility is copied to the INSTALLDIR after "make install" is performed.
Make sure the INSTALLDIR is in your path.  Possibly you have to open a new 
terminal, or give the command "rehash" to find it.)

You can test correct installation by typing "run -h", which should
explain its usage.   It uses the environment variables EDITOR and PAGER.
Please set them to appropriate values, for example in csh add the lines
  setenv PAGER  more
  setenv EDITOR nedit
to your "~/.cshrc" csh resource file.

Help on the keywords can be found in the manual, or by typing the command
"helpdoris".

Optionally a debug version can be compiled, by editing the CFLAGS variable
in the Makefile.  Please do this before reporting errors, and in this way 
try to find out more information where the error originates from.
Also, a matrixclass test program can be compiled.  If you are interested in
using this matrix class in C++ programs of your own, it is recommended to
have a look at this example program.

Please also install the utility programs in the SARtools archive.  With these 
programs you can for example view the output of Doris, and the PREVIEW
card relies on proper installation of the program "cpxfiddle".

It is highly recommended to install the GMT tools.  Doris uses GMT
for plotting the estimated offset vectors and coregistration errors.  Also,
the geocoded matrices latitude/longitude/height can be interpolated to a 
regular grid with these tools.

I appreciate a message that you are using Doris, for example by sending 
an email to the doris_users list describing the system you compiled Doris
on, and with which compiler.

Please acknowledge the usage of Doris by citing the paper

  Bert Kampes, Ramon Hanssen and Zbigniew Perski.
  "Radar Interferometry with Public Domain Tools". 
  Proceedings of FRINGE 2003,  December 1-5, Frascati, Italy, 2003. 

Have fun!

TUDelft Deos 2000-2011
doris_users@tudelft.nl



------------------------
filelist:
------------------------
-rwxr-xr-x    27098 2009-01-13 20:16 bk_baseline.hh
-rwxr-xr-x    14441 2009-05-30 19:58 bk_messages.hh
-rwxr-xr-x    26125 2009-06-09 09:02 configure
-rwxr-xr-x    28693 2009-06-08 18:03 constants.hh
-rwxr-xr-x    18006 2008-09-08 13:48 COPYING
-rwxr-xr-x   244256 2009-06-05 00:33 coregistration.cc
-rwxr-xr-x     8086 2009-01-13 20:17 coregistration.hh
-rwxr-xr-x  1528036 2009-06-09 11:47 doris
-rwxr-xr-x     5708 2008-12-25 00:25 exceptions.cc
-rwxr-xr-x     7405 2009-01-13 20:17 exceptions.hh
-rwxr-xr-x   115971 2009-01-13 20:08 filtering.cc
-rwxr-xr-x     5862 2009-01-13 20:17 filtering.hh
-rwxr-xr-x    62551 2009-06-05 00:35 geocode.cc
-rwxr-xr-x     4029 2009-01-13 20:17 geocode.hh
-rwxr-xr-x   105179 2009-06-08 21:23 ioroutines.cc
-rwxr-xr-x     7679 2009-06-08 21:18 ioroutines.hh
-rwxr-xr-x     6772 2008-09-08 13:48 Makefile.bert
-rwxr-xr-x     6845 2008-09-08 13:48 Makefile.cygwin
-rwxr-xr-x     7181 2008-12-18 23:43 Makefile.debug
-rwxr-xr-x     7162 2008-09-08 13:48 Makefile.debug-full
-rwxr-xr-x     7458 2008-09-08 13:48 Makefile.doris_v3.17_MacOSX10.4_gcc4
-rwxr-xr-x     8190 2008-09-08 13:48 Makefile.sun
-rwxr-xr-x    69105 2009-06-08 18:07 matrixbk.cc
-rwxr-xr-x    34042 2009-06-08 17:42 matrixbk.hh
-rwxr-xr-x   115649 2009-06-05 00:58 matrixspecs.cc
-rwxr-xr-x     8941 2009-01-13 20:14 matrix_test.cc
-rwxr-xr-x    19276 2009-06-04 23:05 newsincev2.4
-rwxr-xr-x    49146 2009-05-30 19:30 orbitbk.cc
-rwxr-xr-x     8983 2009-01-13 20:18 orbitbk.hh
-rwxr-xr-x   151533 2009-06-09 11:42 processor.cc
-rwxr-xr-x    22899 2009-05-30 19:34 productinfo.cc
-rwxr-xr-x     4888 2009-01-13 20:18 productinfo.hh
-rwxr-xr-x   142235 2009-06-08 17:56 products.cc
-rwxr-xr-x     5383 2009-01-13 20:18 products.hh
-rwxr-xr-x   193217 2009-05-30 19:39 readdata.cc
-rwxr-xr-x     3689 2009-04-12 22:00 readdata.hh
-rwxr-xr-x   262556 2009-05-30 19:55 readinput.cc
-rwxr-xr-x    32324 2009-05-30 19:07 readinput.hh
-rwxr-xr-x    12484 2009-06-09 11:55 README
-rwxr-xr-x   106922 2009-06-08 17:58 referencephase.cc
-rwxr-xr-x     6959 2009-01-13 20:19 referencephase.hh
-rwxr-xr-x    44130 2009-05-30 19:50 slcimage.cc
-rwxr-xr-x    11725 2009-01-13 20:19 slcimage.hh
-rwxr-xr-x    29405 2009-01-13 20:16 tmp_strptime.cc
-rwxr-xr-x     5212 2008-09-08 13:48 TODO
-rwxr-xr-x   651039 2009-03-21 23:07 triangle.c
-rwxr-xr-x    21911 2008-09-08 13:48 triangle.h
-rwxr-xr-x    35898 2009-01-13 20:16 unwrap.cc
-rwxr-xr-x     2938 2009-01-13 20:19 unwrap.hh
-rwxr-xr-x    68632 2009-06-05 00:17 utilities.cc
-rwxr-xr-x    28475 2009-06-05 00:29 utilities.hh
-rwxr-xr-x   2582 2008-09-06 20:08 ascii2ascii_UTM
-rwxr--r--   9202 2009-04-14 16:38 ascii2ps
-rwxr-xr-x   8867 2008-09-06 20:08 ascii2ps.gmt-v3
-rwxr-xr-x   2282 2008-09-06 20:08 baseline.doris.csh
-rwxr-xr-x   5506 2008-12-24 14:18 baseline.doris.sh
-rwxr-x---  17778 2009-06-04 23:37 construct_dem.sh
-rwxr-xr-x  11108 2008-09-06 20:08 coregpm.doris
-rwxr-xr-x  20028 2008-09-06 20:08 cpx2ps
lrwxrwxrwx     15 2009-06-09 11:34 doris.process-reset.sh -> doris.rmstep.sh
-rwxr-xr-x   1826 2009-05-19 16:03 doris.rmstep.sh
-rwxr-xr-x   1788 2008-09-06 20:08 heightamb
-rwxr-xr-x  26873 2008-09-06 20:08 helpdoris
-rwxr-xr-x   3295 2008-09-06 20:08 lonlathei2ascii
-rwxr-xr-x   5484 2008-09-06 20:08 phasefilt.doris
-rwxr-xr-x  17927 2009-05-27 10:33 plotcpm
-rwxr-xr-x  17927 2009-05-27 10:31 plotcpm.erroffsets
-rwxr-xr-x  17402 2008-09-06 20:08 plotoffsets
-rwxr-xr-x  17255 2008-09-06 20:08 plotoffsets.bruno
-rwxr-xr-x   2771 2009-04-14 16:35 README
-rwxr-x---  64594 2009-05-30 21:02 run
-rwxr--r--   4841 2009-04-13 13:21 tsx_dump_data.py
-rwxr--r--  10496 2009-04-14 16:29 tsx_dump_header2doris_noxpath.py
-rwxr--r--   9621 2009-04-14 16:11 tsx_dump_header2doris.py
-rwxr-xr-x   2516 2008-09-06 20:08 viewanddel
-r--r--r--    3582 Apr 14 18:15 2003 SARtools/Makefile
-r--r--r--   12312 Apr 14 08:30 2003 SARtools/bkconvert.cc
-r--r--r--   80779 Apr 14 08:31 2003 SARtools/cpxfiddle.cc
-r--r--r--    5040 Apr 14 08:30 2003 SARtools/cpxmult.cc
-r--r--r--    4680 Apr 14 08:30 2003 SARtools/flapjack.cc
-r--r--r--    3545 Apr 14 08:30 2003 SARtools/floatmult.cc
-r--r--r--    4789 Apr 14 08:30 2003 SARtools/rasterheader.cc
-r--r--r--    4425 Apr 14 08:30 2003 SARtools/readrasterheader.cc
-r--r--r--    5029 Apr 14 08:30 2003 SARtools/wrap.cc
-r--r--r--    2490 Jun 16 09:14 2003 ./ENVISAT_TOOLS/Makefile
-r--r--r--    5032 Jun 16 09:13 2003 ./ENVISAT_TOOLS/envisat_dump_data.c
-r--r--r--    3655 Jun 16 09:13 2003 ./ENVISAT_TOOLS/envisat_dump_header.c
-r--r--r--     836 Jun 16 09:14 2003 ./ENVISAT_TOOLS/README
-r--r--r--    4528 Jun 13 18:36 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/CHANGELOG.txt
-r--r--r--   15439 Jun 13 18:36 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/LICENSE.txt
-r--r--r--    6794 Jun 13 18:36 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/README.txt
-r--r--r--      17 Jun 13 18:36 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/VERSION.txt
-r--r--r--    4022 Jun 15 16:54 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_api.c
-r--r--r--   48996 Jun 14 14:59 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_api.h
-r--r--r--   64026 Jun 15 16:54 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_band.c
-r--r--r--   11740 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_band.h
-r--r--r--   29518 Jun 15 16:54 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_bitmask.c
-r--r--r--   15202 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_bitmask.h
-r--r--r--   12251 Jun 15 16:54 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_core.c
-r--r--r--    8473 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_core.h
-r--r--r--   10985 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dataset.c
-r--r--r--    1723 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dataset.h
-r--r--r--  527553 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dddb.c
-r--r--r--    2322 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dddb.h
-r--r--r--   22176 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dsd.c
-r--r--r--    2922 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dsd.h
-r--r--r--    7271 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_dump.c
-r--r--r--    9326 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_field.c
-r--r--r--    2131 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_field.h
-r--r--r--   19287 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_msph.c
-r--r--r--    1527 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_msph.h
-r--r--r--    6174 Jun 15 16:55 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_param.c
-r--r--r--    1646 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_param.h
-r--r--r--   14552 Jun 14 14:56 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_product.c
-r--r--r--    3357 Jun 14 14:56 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_ptrarray.c
-r--r--r--    3957 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_ptrarray.h
-r--r--r--   12815 Jun 15 16:56 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_record.c
-r--r--r--    2478 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_record.h
-r--r--r--    8945 Jun 15 16:56 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_string.c
-r--r--r--    2030 Jun 14 15:00 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_string.h
-r--r--r--    6370 Jun 15 16:56 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_swap.c
-r--r--r--    1400 Jun 14 15:01 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_swap.h
-r--r--r--   29212 Jun 15 16:56 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/epr_typconv.c
-r--r--r--     553 Jun 15 19:38 2003 ./ENVISAT_TOOLS/epr_api-2.0.1/src/Makefile
-r-xr-xr-x    7316 Jun 16 09:13 2003 ./ENVISAT_TOOLS/envisat_dump_header2doris.csh
